<!-- 
RSS generated by JIRA (9.4.14#940014-sha1:734e6822bbf0d45eff9af51f82432957f73aa32c) at Sat Feb 10 01:49:49 UTC 2024

It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
For example, to request only the issue key and summary append 'field=key&field=summary' to the URL of your request.
-->
<rss version="0.92" >
<channel>
    <title>Whamcloud Community JIRA</title>
    <link>https://jira.whamcloud.com</link>
    <description>This file is an XML representation of an issue</description>
    <language>en-us</language>    <build-info>
        <version>9.4.14</version>
        <build-number>940014</build-number>
        <build-date>05-12-2023</build-date>
    </build-info>


<item>
            <title>[LU-5248] Test failure on sanity-lfsck.sh, subtest test_4: ls: reading directory /mnt/lustre/d4.sanity-lfsck: Input/output error</title>
                <link>https://jira.whamcloud.com/browse/LU-5248</link>
                <project id="10000" key="LU">Lustre</project>
                    <description>&lt;p&gt;I found this issue during backporting &lt;a href=&quot;http://review.whamcloud.com/#/c/9704&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/#/c/9704&lt;/a&gt; to b2_5. sanity-lfsck.sh test_5 always complained the test_4 environment was insane.&lt;/p&gt;

&lt;p&gt;This issue is easy to reproduce by the following debug patch:&lt;/p&gt;
&lt;div class=&quot;code panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;codeContent panelContent&quot;&gt;
&lt;pre class=&quot;code-java&quot;&gt;diff --git a/lustre/tests/sanity-lfsck.sh b/lustre/tests/sanity-lfsck.sh
index 4d203d6..f8765c0 100644
--- a/lustre/tests/sanity-lfsck.sh
+++ b/lustre/tests/sanity-lfsck.sh
@@ -386,7 +386,11 @@ test_4()
 
        #define OBD_FAIL_FID_LOOKUP     0x1505
        do_facet $SINGLEMDS $LCTL set_param fail_loc=0x1505
-       ls $DIR/$tdir/ &amp;gt; /dev/&lt;span class=&quot;code-keyword&quot;&gt;null&lt;/span&gt; || error &lt;span class=&quot;code-quote&quot;&gt;&quot;(11) no FID-in-dirent.&quot;&lt;/span&gt;
+       #ls $DIR/$tdir &amp;gt; /dev/&lt;span class=&quot;code-keyword&quot;&gt;null&lt;/span&gt; || error &lt;span class=&quot;code-quote&quot;&gt;&quot;(11) no FID-in-dirent.&quot;&lt;/span&gt;
+       ls -al $DIR/$tdir
+       echo &lt;span class=&quot;code-quote&quot;&gt;&quot;rc=${PIPESTATUS[0]}&quot;&lt;/span&gt;
+       ls -al $DIR/$tdir
+       echo &lt;span class=&quot;code-quote&quot;&gt;&quot;rc=${PIPESTATUS[0]}&quot;&lt;/span&gt;
 
        do_facet $SINGLEMDS $LCTL set_param fail_loc=0
 }
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;

&lt;p&gt;The output is like&lt;/p&gt;
&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;fail_loc=0x1505
total 0
rc=0
ls: reading directory /mnt/lustre/d4.sanity-lfsck: Input/output error
total 0
rc=2
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt; 

&lt;p&gt;dmesg log:&lt;/p&gt;
&lt;div class=&quot;preformatted panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;preformattedContent panelContent&quot;&gt;
&lt;pre&gt;Lustre: *** cfs_fail_loc=1505, val=0***
Lustre: 14962:0:(mdd_object.c:1955:mdd_dir_page_build()) build page failed: -2!
LustreError: 15167:0:(dir.c:422:ll_get_dir_page()) read cache page: [0x200000400:0x1:0x0] at 0: rc -2
LustreError: 15167:0:(dir.c:584:ll_dir_read()) error reading dir [0x200000400:0x1:0x0] at 0: rc -2
LustreError: 15170:0:(dir.c:398:ll_get_dir_page()) dir page locate: [0x200000400:0x1:0x0] at 0: rc -5
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;</description>
                <environment></environment>
        <key id="25286">LU-5248</key>
            <summary>Test failure on sanity-lfsck.sh, subtest test_4: ls: reading directory /mnt/lustre/d4.sanity-lfsck: Input/output error</summary>
                <type id="1" iconUrl="https://jira.whamcloud.com/secure/viewavatar?size=xsmall&amp;avatarId=11303&amp;avatarType=issuetype">Bug</type>
                                            <priority id="3" iconUrl="https://jira.whamcloud.com/images/icons/priorities/major.svg">Major</priority>
                        <status id="5" iconUrl="https://jira.whamcloud.com/images/icons/statuses/resolved.png" description="A resolution has been taken, and it is awaiting verification by reporter. From here issues are either reopened, or are closed.">Resolved</status>
                    <statusCategory id="3" key="done" colorName="success"/>
                                    <resolution id="1">Fixed</resolution>
                                        <assignee username="emoly.liu">Emoly Liu</assignee>
                                    <reporter username="emoly.liu">Emoly Liu</reporter>
                        <labels>
                    </labels>
                <created>Tue, 24 Jun 2014 16:02:12 +0000</created>
                <updated>Thu, 4 Dec 2014 22:38:42 +0000</updated>
                            <resolved>Thu, 4 Dec 2014 22:38:42 +0000</resolved>
                                    <version>Lustre 2.5.1</version>
                    <version>Lustre 2.4.3</version>
                                    <fixVersion>Lustre 2.5.4</fixVersion>
                                        <due></due>
                            <votes>0</votes>
                                    <watches>6</watches>
                                                                            <comments>
                            <comment id="87392" author="green" created="Tue, 24 Jun 2014 17:22:35 +0000"  >&lt;p&gt;So, is the test_4 env complaint being insane only affects b2_5 or master as well?&lt;/p&gt;</comment>
                            <comment id="87446" author="emoly.liu" created="Wed, 25 Jun 2014 00:35:08 +0000"  >&lt;p&gt;Oleg, in my test it only affects b2_5, master has no such issue.&lt;/p&gt;</comment>
                            <comment id="88425" author="yong.fan" created="Tue, 8 Jul 2014 14:46:15 +0000"  >&lt;p&gt;Here is the patch:&lt;/p&gt;

&lt;p&gt;&lt;a href=&quot;http://review.whamcloud.com/11006&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/11006&lt;/a&gt;&lt;/p&gt;</comment>
                            <comment id="90178" author="yong.fan" created="Mon, 28 Jul 2014 15:06:44 +0000"  >&lt;blockquote&gt;&lt;p&gt;Here is the patch:&lt;/p&gt;&lt;/blockquote&gt;
&lt;blockquote&gt;&lt;p&gt;&lt;a href=&quot;http://review.whamcloud.com/11006&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/11006&lt;/a&gt;&lt;/p&gt;&lt;/blockquote&gt;

&lt;p&gt;Do we have any plan to land this patch to b2_5?&lt;/p&gt;</comment>
                            <comment id="100749" author="gerrit" created="Thu, 4 Dec 2014 20:30:40 +0000"  >&lt;p&gt;Oleg Drokin (oleg.drokin@intel.com) merged in patch &lt;a href=&quot;http://review.whamcloud.com/11006/&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/11006/&lt;/a&gt;&lt;br/&gt;
Subject: &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-5248&quot; title=&quot;Test failure on sanity-lfsck.sh, subtest test_4: ls: reading directory /mnt/lustre/d4.sanity-lfsck: Input/output error&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-5248&quot;&gt;&lt;del&gt;LU-5248&lt;/del&gt;&lt;/a&gt; osd: NOT inject OBD_FAIL_FID_LOOKUP on dotdot&lt;br/&gt;
Project: fs/lustre-release&lt;br/&gt;
Branch: b2_5&lt;br/&gt;
Current Patch Set: &lt;br/&gt;
Commit: c202c54d6d84f54560474f3a6f316af4fdd9e475&lt;/p&gt;</comment>
                            <comment id="100770" author="pjones" created="Thu, 4 Dec 2014 22:38:42 +0000"  >&lt;p&gt;Landed for 2.5.4&lt;/p&gt;</comment>
                    </comments>
                <issuelinks>
                            <issuelinktype id="10120">
                    <name>Blocker</name>
                                            <outwardlinks description="is blocking">
                                        <issuelink>
            <issuekey id="25258">LU-5241</issuekey>
        </issuelink>
                            </outwardlinks>
                                                        </issuelinktype>
                            <issuelinktype id="10010">
                    <name>Duplicate</name>
                                            <outwardlinks description="duplicates">
                                        <issuelink>
            <issuekey id="24839">LU-5112</issuekey>
        </issuelink>
                            </outwardlinks>
                                                        </issuelinktype>
                    </issuelinks>
                <attachments>
                    </attachments>
                <subtasks>
                    </subtasks>
                <customfields>
                                                                                                                                                                                            <customfield id="customfield_10890" key="com.atlassian.jira.plugins.jira-development-integration-plugin:devsummary">
                        <customfieldname>Development</customfieldname>
                        <customfieldvalues>
                            
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        <customfield id="customfield_10390" key="com.pyxis.greenhopper.jira:gh-lexo-rank">
                        <customfieldname>Rank</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1|hzwpsf:</customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10090" key="com.pyxis.greenhopper.jira:gh-global-rank">
                        <customfieldname>Rank (Obsolete)</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>14639</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                            <customfield id="customfield_10060" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Severity</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10022"><![CDATA[3]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        </customfields>
    </item>
</channel>
</rss>